%define name numlock
%define version 1.0
%define release 8mdk


Summary: Numlock key locker.
Name: %{name}
Version: 1.0
Release: %{release}
Copyright: GPL
Group: System/Configuration/Boot and Init
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0: %{name}-%{version}.tar.bz2
Source1: numlock.xinit
BuildRoot: %{_tmppath}/%{name}-buildroot
autoReq: no
Requires: fileutils console-tools glibc
Obsoletes: NumLock

%description

NumLock enable to lock the numlock key. Only enable it at boot-time with
ntsysv or with any other SVSR like rc.d config scripts editor such as
tksysv or the ones from GNOME and KDE.
NumLock is safe for portable as it is disabled by default.

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install TOP=$RPM_BUILD_ROOT

%post
/sbin/chkconfig --add numlock

%preun
if [ $1 = 0 ];then
		/sbin/chkconfig --del numlock
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%config /etc/rc.d/init.d/%{name}
%config /etc/profile.d/%{name}.sh
%config /etc/X11/xinit.d/numlock
/usr/X11R6/bin/*
/usr/X11R6/man/*/*

%changelog
* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 1.0-8mdk
- force non-requiring XFree86-libs

* Wed Apr 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-7mdk
- launch via /etc/X11/xinit.d

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-6mdk
- Remove the noarch since now we have enable_X11_numlock.
- Cvs import.
- Add enable_X11_numlock program (thanks gg).

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- new groups

* Wed Dec 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a bug in xterm handling (reject /dev/ttya??)

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix chkconfig
- explicitely requires console-tools for touch (this would be the first
  rpm to do this !) and fileutils for setleds (which may have cause problems)

* Fri Oct 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix a typo (rpm include the %setup in the %description section !!!)
- lowercase the rpm name for Lord DarkChmou

* Fri Oct 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec

